---
id: 2_k3d
title: K3D
sidebar_label: K3D
---

Follow these instructions to prepare k3d for NiFiKop installation with sufficient resources to run NiFiKop and some basic applications.

## Prerequisites

- Administrative privileges are required to run k3d.

## Installation steps

1. Install the latest version of [k3d](https://k3d.io/v5.3.0/#installation), version 5.3.0 or later.
2. Create your Kubernetes cluster. This example uses Kubernetes version 1.21.10. You can change the version to any Kubernetes version supported by NiFiKop by altering the --kubernetes-version value:

   ```sh 
   k3d cluster create --image rancher/k3s:v1.21.10-k3s1 --wait
   ```

3. Expose your NiFi cluster:

   ```sh
   k3d cluster edit k3s-default --port-add "<nifi_cluster_port>:<nifi_cluster_port>@loadbalancer"
   ```